/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.bean;

import android.support.annotation.DrawableRes;

/**
 * SignUpBenefitBean
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 12.]   [최초 작성]
 * @since 2018. 9. 12.
 */
public class SignUpBenefitBean extends TextBean {

  @DrawableRes
  protected int imageResource;
  protected String benefitText;
  protected String categoryText;

  public int getImageResource() {
    return imageResource;
  }

  public void setImageResource(int imageResource) {
    this.imageResource = imageResource;
  }

  public SignUpBenefitBean(String text, int imageResource, String benefitText, String categoryText) {
    super(text);
    this.imageResource = imageResource;
    this.benefitText = benefitText;
    this.categoryText = categoryText;
  }

  public String getBenefitText() {
    return benefitText;
  }

  public void setBenefitText(String benefitText) {
    this.benefitText = benefitText;
  }

  public String getCategoryText() {
    return categoryText;
  }

  public void setCategoryText(String categoryText) {
    this.categoryText = categoryText;
  }
}
